Bug 1934359 - Require only xclock, not all of xorg-x11-apps
Summary: Require only xclock, not all of xorg-x11-apps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1933920
TreeView+ depends on / blocked
 
Reported: 2021-03-03 04:25 UTC by Peter Hutterer
Modified: 2021-04-23 02:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-23 02:04:17 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Peter Hutterer 2021-03-03 04:25:58 UTC
xclock is about to become its own package (see Bug 1933940) as part of Bug 1933920 - splitting up xorg-x11-apps into its subpackages.

wxGTK is the only package left that Requires: xorg-x11-apps but it seems like the only tool it actually requires is xclock for a test in wxWidgets-3.1.4/tests/exec/exec.cpp.

Suggested diff:
diff --git a/wxGTK.spec b/wxGTK.spec
index 77ec0eb..df39f39 100644
@@ -41,7 +41,7 @@ BuildRequires:  doxygen
 BuildRequires:  graphviz
 BuildRequires:  libsecret-devel
 # For Tests
-BuildRequires:  xorg-x11-apps
+BuildRequires:  xclock
 BuildRequires:  xorg-x11-server-Xvfb
 
 Provides:       %{srcname} = %{version}-%{release}

xclock is already in the Provides of xorg-x11-apps, so this will work immediately.

Comment 1 Peter Hutterer 2021-03-03 04:26:50 UTC
My scratch builds for rawhide FTBFS even without that change, but F33 and F34 build fine with just xclock in the Requires, see https://koji.fedoraproject.org/koji/taskinfo?taskID=62980747 for the F34 build.

Comment 2 Peter Hutterer 2021-03-04 04:26:58 UTC
FTR, I've pushed this to rawhide and f34 as it's the only external package blocking 1933940. Will file an f34 update together with the new packages from 1933940 once those are all done.

Comment 3 Fedora Update System 2021-03-04 12:24:20 UTC
FEDORA-2021-c32498766f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

Comment 4 Fedora Update System 2021-03-04 17:00:16 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-c32498766f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-25 00:17:17 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.